[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DbCtrls' (#lcl)

# TFieldDataLink.ActiveChanged

ActiveChanged - method to process changes in the Active property

## Declaration

Source position: dbctrls.pp line 75

`protected procedure TFieldDataLink.ActiveChanged; override;`

## Description

ActiveChanged - method to process changes in the Active property

Any change to the Active property triggers the ActiveChanged method.

If the method is triggered by a transition into an Active state, then ActiveChanged ensures that this TFieldDataLink's Field is still valid before calling the event handler.

ActiveChanged calls an OnActiveChange event handler if one has been assigned.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.